Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.cwru.SimpleRTS.model
Class SimpleModel

    java.lang.Object
      edu.cwru.SimpleRTS.model.SimpleModel

All Implemented Interfaces:
  Model, java.io.Serializable

    public class SimpleModel

extends java.lang.Object
implements Model

A "Simple" Model

See Also:
  Serialized Form

Constructor Summary
`SimpleModel(State init, int seed, StateCreator restartTactic)`

Method Summary
`void` | `createNewWorld()`
`void` | `executeStep()` Execute actions and do anything else that needs to be done
`State.StateView` | `getState()`
`boolean` | `isTerminated()`
`void` | `save(java.lang.String filename)`
`void` | `setActions(Action[] action)` Set the actions to be executed
`void` | `setVerbosity(boolean verbose)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleModel

    public SimpleModel(State init,
                       int seed,
                       StateCreator restartTactic)

Method Detail

### setVerbosity

    public void setVerbosity(boolean verbose)

### createNewWorld

    public void createNewWorld()

  Specified by:
    `createNewWorld` in interface `Model`

### isTerminated

    public boolean isTerminated()

  Specified by:
    `isTerminated` in interface `Model`

### setActions

    public void setActions(Action[] action)

  Description copied from interface: `Model`
  Set the actions to be executed

  Specified by:
    `setActions` in interface `Model`

### executeStep

    public void executeStep()

  Description copied from interface: `Model`
  Execute actions and do anything else that needs to be done

  Specified by:
    `executeStep` in interface `Model`

### getState

    public State.StateView getState()

  Specified by:
    `getState` in interface `Model`

### save

    public void save(java.lang.String filename)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD